org.apache.lucene.index

## Class MergeState.DocMap

- java.lang.Object
- - org.apache.lucene.index.MergeState.DocMap

- Enclosing class:
    MergeState

      public abstract static class MergeState.DocMap
      extends Object

  Remaps docids around deletes during merge

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MergeState.DocMap` | `build(AtomicReader reader)` Creates a `MergeState.DocMap` instance appropriate for this reader.
    `abstract int` | `get(int docID)` Returns the mapped docID corresponding to the provided one.
    `boolean` | `hasDeletions()` Returns true if there are any deletions.
    `abstract int` | `maxDoc()` Returns the total number of documents, ignoring deletions.
    `abstract int` | `numDeletedDocs()` Returns the number of deleted documents.
    `int` | `numDocs()` Returns the number of not-deleted documents.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### get

          public abstract int get(int docID)

      Returns the mapped docID corresponding to the provided one.

    - #### maxDoc

          public abstract int maxDoc()

      Returns the total number of documents, ignoring deletions.

    - #### numDocs

          public final int numDocs()

      Returns the number of not-deleted documents.

    - #### numDeletedDocs

          public abstract int numDeletedDocs()

      Returns the number of deleted documents.

    - #### hasDeletions

          public boolean hasDeletions()

      Returns true if there are any deletions.

    - #### build

          public static MergeState.DocMap build(AtomicReader reader)

      Creates a `MergeState.DocMap` instance appropriate for this reader.

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.